import fft

print "Success in loading this module pythontest"

temp=0

def Victory():
	if(temp):
		return 1
	else:
		return 0

fft.Victory=Victory

print str(fft.Victory())

print("Functions appear to be working")

fft.Render()

fft.MessageBox("I will now test mutiple lines\nsee?")
yesno=fft.YesNoBox("Press yes or no, I will tell you which you pressed")
if yesno:
	fft.MessageBox("You pressed yes")
else:
	fft.MessageBox("You pressed no")

aiship=fft.Ship()
aiship.Init(0,0,"gfx/ship/fighter.png","base.fpk",0.5)
aiship.SetLocation(20,-20)
aiship.Colorize(0,255,0)
aiship.AI("AI_STATE_ATTACK")

ship=fft.Ship()
ship.Init(0,0,"gfx/ship/fighter.png","base.fpk",0.5)
fft.SetMainShip(ship)

#fft.Exit("Testing exit message")
print("Thank you!")
